Subject: [OCM] Re: Drop /ocm-provider legacy endpoint
From: Giuseppe Lo Presti <[email-masked]>
To: [email-masked]
Date: Fri, 20 Mar 2026 10:49:10 +0100
List-Id: "The Open Cloud Mesh (OCM) protocol enables sharing of resources such as files and applications across different cloud storage systems.," <ocm.ietf.org>

Hi Micke,

I fully support this. Even further, following a vibrant CS3 workshop and 
OCM Panel discussion, I'm going to send around a work plan of concrete 
items (including this one!) that all vendors could look into, in order 
to move forward.

We shall discuss this at the next call, on March 31st, and I'll make 
sure to circulate something in advance.

Cheers,
Giuseppe

On 20.03.2026 02:59, Micke Nordin wrote:
> I just opened an issue about this: https://github.com/cs3org/OCM-API/ 
> issues/349 <https://github.com/cs3org/OCM-API/issues/349>
> 
> The legacy discovery endpoint is still mandated in the specification, 
> from the discovery algorithm:
> 
>  > Step 4: If not, try a HTTP GET with `https://<fqdn>/ocm-provider` as 
> the URL instead.
> 
> However, all major vendors now support the .well-known endpoint, as can 
> be gleaned by visiting these URLs:
> 
> https://cloud.nextcloud.com/.well-known/ocm <https:// 
> cloud.nextcloud.com/.well-known/ocm>
> 
> https://demo.opencloud.eu/.well-known/ocm <https:// 
> demo.opencloud.eu/.well-known/ocm>
> 
> https://demo.owncloud.com/.well-known/ocm <https:// 
> demo.owncloud.com/.well-known/ocm>
> 
> So I think we have an opportunity to clean up the discovery in a nice 
> way, and we should take it.
> 
> What do you think?
> 
> All the best,
> Micke
> 
> _______________________________________________
> OCM mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]